Package org.apache.ignite.internal.sql.command

## Class SqlKillClientCommand

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlKillClientCommand

All Implemented Interfaces:
  `SqlCommand`

    public class SqlKillClientCommand
    extends Object
    implements SqlCommand

KILL CLIENT command.

See Also:
  `ClientConnectionDropTask`, `ClientConnectionView.connectionId()`

### Constructor Summary

Constructors
`SqlKillClientCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `connectionId()`
`SqlCommand` `parse​(SqlLexer lex)` Parse command.
`String` `schemaName()`
`void` `schemaName​(String schemaName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlKillClientCommand

    public SqlKillClientCommand()

### Method Detail

#### parse

    public SqlCommand parse​(SqlLexer lex)

Parse command.

Specified by:
  `parse` in interface `SqlCommand`
Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### schemaName

    public String schemaName()

Specified by:
  `schemaName` in interface `SqlCommand`
Returns:
  Schema name.

#### schemaName

    public void schemaName​(String schemaName)

Specified by:
  `schemaName` in interface `SqlCommand`
Parameters:
  `schemaName` - Schema name.

#### connectionId

    public Long connectionId()

Returns:
  Connection id to drop.